Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 676056 - net-p2p/deluge-1.3.15-r2 broken with net-libs/libtorrent-rasterbar-1.2.0
Summary: net-p2p/deluge-1.3.15-r2 broken with net-libs/libtorrent-rasterbar-1.2.0
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Paolo Pedroni
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks:
 
Reported: 2019-01-22 17:30 UTC by Craig Andrews
Modified: 2019-01-24 23:22 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Andrews gentoo-dev 2019-01-22 17:30:36 UTC
Starting deluge results in this error:
---
Jan 22 12:22:49 irrational deluged[26309]: [ERROR   ] 12:22:49 main:248 'module' object has no attribute 'session_settings'
Jan 22 12:22:49 irrational deluged[26309]: Traceback (most recent call last):
Jan 22 12:22:49 irrational deluged[26309]:   File "/usr/lib64/python2.7/site-packages/deluge/main.py", line 241, in start_daemon
Jan 22 12:22:49 irrational deluged[26309]:     Daemon(options, args)
Jan 22 12:22:49 irrational deluged[26309]:   File "/usr/lib64/python2.7/site-packages/deluge/core/daemon.py", line 147, in __init__
Jan 22 12:22:49 irrational deluged[26309]:     read_only_config_keys=read_only_config_keys)
Jan 22 12:22:49 irrational deluged[26309]:   File "/usr/lib64/python2.7/site-packages/deluge/core/core.py", line 106, in __init__
Jan 22 12:22:49 irrational deluged[26309]:     self.settings = lt.session_settings()
Jan 22 12:22:49 irrational deluged[26309]: AttributeError: 'module' object has no attribute 'session_settings'
---

deluge works fine with net-libs/libtorrent-rasterbar-1.1.11
Comment 1 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-01-22 17:41:01 UTC
I think that libtorrent-rasterbar version should be restricted up to 1.1.x
Comment 2 Hector Martin 2019-01-23 09:44:55 UTC
Upstream bug: https://github.com/arvidn/libtorrent/issues/1510
Comment 3 Larry the Git Cow gentoo-dev 2019-01-24 23:22:30 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dd83699d620548c1e6fe2cd14cd5f51058b1dac5

commit dd83699d620548c1e6fe2cd14cd5f51058b1dac5
Author:     PPed72 <paolo.pedroni@iol.it>
AuthorDate: 2019-01-23 10:58:20 +0000
Commit:     Craig Andrews <candrews@gentoo.org>
CommitDate: 2019-01-24 23:22:22 +0000

    net-p2p/deluge: restrict libtorrent-rasterbar dependency
    
    net-libs/libtorrent-rasterbar-1.2 removed several deprecated
    functions needed by net-p2p deluge. We thus restrict the
    dependency to be <net-libs/libtorrent-rasterbar-1.2
    
    Also a few cleanups already discussed for deluge-9999
    
    Closes: https://bugs.gentoo.org/676056
    Signed-off-by: Paolo Pedroni <paolo.pedroni@iol.it>
    Package-Manager: Portage-2.3.51, Repoman-2.3.11
    Closes: https://github.com/gentoo/gentoo/pull/10892
    Signed-off-by: Craig Andrews <candrews@gentoo.org>

 net-p2p/deluge/deluge-1.3.15-r3.ebuild | 134 +++++++++++++++++++++++++++++++++
 net-p2p/deluge/deluge-1.3.9999.ebuild  |  19 ++---
 2 files changed, 139 insertions(+), 14 deletions(-)